local is_singleplayer = Global.game_settings and Global.game_settings.single_player
local TeamAIDamage = module:hook_class("TeamAIDamage")
if not is_singleplayer then
	return
end
local multiplier = 0.8
module:post_hook(TeamAIDamage, "init", function(self)
	self._HEALTH_INIT = self._HEALTH_INIT * multiplier
	self._HEALTH_BLEEDOUT_INIT = self._HEALTH_BLEEDOUT_INIT * multiplier
	self._HEALTH_TOTAL = self._HEALTH_INIT + self._HEALTH_BLEEDOUT_INIT
	self._health = self._health * multiplier
	self._health_ratio = self._health / self._HEALTH_INIT
end)
function TeamAIDamage:need_revive()
	return false
end
function TeamAIDamage:_on_hurt()
	if self._to_incapacitated_clbk_id then
		return
	end
	local regen_time = self._char_dmg_tweak.REGENERATE_TIME_AWAY
	local dis_limit = 6250000
	for _, crim in pairs(managers.groupai:state():all_player_criminals()) do
		if 6250000 > mvector3.distance_sq(self._unit:movement():m_pos(), crim.unit:movement():m_pos()) then
			regen_time = self._char_dmg_tweak.REGENERATE_TIME
			break
		end
	end
	self._regenerate_t = TimerManager:game():time() + regen_time * 2
end
function TeamAIDamage:inc_dodge_count(n)
	return
end